#https://github.com/horchi/scraper2vdr/commit/ff95c7126c6069d9c9ddf0f0c6fad2773ae79a76
%global commit0 ff95c7126c6069d9c9ddf0f0c6fad2773ae79a76
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%global pname   scraper2vdr
%global gitdate 20160520

Name:           vdr-scraper2vdr
Version:        0.1.25
Release:        1.%{gitdate}git%{shortcommit0}%{?dist}
Summary:        A client plugin which provides scraped metadata from EPGD to other plugins

Group:          Applications/Multimedia
License:        GPL+
URL:            https://github.com/horchi/scraper2vdr/tree/http
# wget http://github.com/horchi/scraper2vdr/archive/ff95c7126c6069d9c9ddf0f0c6fad2773ae79a76/vdr-scraper2vdr-ff95c71.tar.gz
Source0:        https://github.com/horchi/scraper2vdr/archive/%{commit0}/%{name}-%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz
Source1:        %{name}.conf

BuildRequires:  libuuid-devel
BuildRequires:  ImageMagick-c++-devel
BuildRequires:  mariadb-devel
BuildRequires:  libcurl-devel
BuildRequires:  imlib2-devel
BuildRequires:  vdr-devel >= 1.7.34
Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}

%description 
Scraper2vdr acts as client and provides scraped metadata for tvshows and
movies from epgd to other plugins via its service interface. The plugin 
cares about caching the images locally and also cleans up the images if
not longer needed. 

epgd itself uses the thetvdb.com API for collecting series metadata and
themoviedb.org API for movies. Check the websites of both services for
the terms of use.

%prep
%setup -qn %{pname}-%{commit0}
iconv -f iso-8859-1 -t utf-8 README > README.utf8 ; mv README.utf8 README

# fedora specific
sed -i -e 's|#include <errmsg.h>|#include <mysql/errmsg.h>|' lib/db.c

%build
make CFLAGS="%{optflags} -fPIC" CXXFLAGS="%{optflags} -fPIC" %{?_smp_mflags} all

%install
%make_install
# fix the perm
chmod 0755 %{buildroot}/%{vdr_plugindir}/libvdr-*.so.%{vdr_apiversion}
install -Dpm 644 %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/sysconfig/vdr-plugins.d/scraper2vdr.conf

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING HISTORY* README*
%{vdr_plugindir}/libvdr-*.so.%{vdr_apiversion}
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/scraper2vdr.conf
%config(noreplace) %{vdr_configdir}/plugins/%{pname}/epg.dat

%changelog
* Sat May 21 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.1.25-1.20160520gitff95c71
- Update to 0.1.25

* Tue May 10 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.1.23-1.20160510git2899b3f
- Update to 0.1.23

* Sun Mar 27 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.1.20-1.20160226git80528db
- Update to 0.1.20

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-2.20141117git02013ac
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct 21 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.1.6-1.20141117git02013ac
- Update to 0.1.6

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.1.5-4
- Rebuilt for GCC 5 C++11 ABI change

* Fri Mar 06 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.1.5-3
- Rebuild for new libMagick++-6.Q16.so.6

* Thu Feb 19 2015 Ville Skyttä <ville.skytta@iki.fi> - 0.1.5-2
- Rebuild

* Sat Oct 25 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.5-1
- Update to 0.1.5

* Sun Sep 28 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.4-1
- Update to 0.1.4
- added perl command to find errmsg.h header file

* Thu May 15 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.3-2.20140515git2bfb7c7
- rebuild for new git release

* Wed May 14 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.3-1
- Update to 0.1.3

* Sun May 11 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.2-3.20140511git7231362
- rebuild for new git release

* Sun May 11 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.2-2.20140510gitea862b3
- added patch to build parallel again

* Sat May 10 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.2-1.20140510gitea862b3
- rebuild for new git release
- added Fedora %%optflags for CFLAGS and CXXFLAGS
- Add BR libcurl-devel
- Add BR imlib2-devel

* Fri May 09 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.2-1
- Update to 0.1.2

* Sat May 03 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.1-6.20140428git30008b3
- fixed description
- replaced RPM_BUILD_ROOT macro through %%{buildroot}

* Fri May 02 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.1-5.20140428git30008b3
- Fix patch path
- Fix bogus date in %%changelog
- Fix comments

* Thu May 01 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.1-4.20140428git30008b3
- added permission fix to solve unstripped-binary-or-object warning

* Mon Apr 28 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.1-3.20140428git30008b3
- rebuild for new git release 

* Mon Apr 28 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.0-2.20140427gitc538d35
- added conf file

* Sun Apr 27 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1.0-1.20140427gitc538d35
- rebuild for initial release
